## org.hornetq.rest.queue
Class QueueResource

    java.lang.Object
      org.hornetq.rest.queue.DestinationResource
          org.hornetq.rest.queue.QueueResource

    public class QueueResource

extends DestinationResource

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected ConsumersResource` `consumers`
`protected PushConsumerResource` `pushConsumers`

Fields inherited from class org.hornetq.rest.queue.DestinationResource
`destination, sender, serviceManager`

Constructor Summary
`QueueResource()`

Method Summary
`protected java.lang.String` `createConsumersLink(javax.ws.rs.core.UriInfo info)`
`protected java.lang.String` `createPushConsumersLink(javax.ws.rs.core.UriInfo info)`
`protected java.lang.String` `createSenderLink(javax.ws.rs.core.UriInfo info)`
`protected java.lang.String` `createSenderWithIdLink(javax.ws.rs.core.UriInfo info)`
`javax.ws.rs.core.Response` `get(javax.ws.rs.core.UriInfo uriInfo)`
`ConsumersResource` `getConsumers()`
`PushConsumerResource` `getPushConsumers()`
`javax.ws.rs.core.Response` `head(javax.ws.rs.core.UriInfo uriInfo)`
`PostMessage` `post()`
`void` `setConsumers(ConsumersResource consumers)`
`protected void` `setConsumersLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`void` `setPushConsumers(PushConsumerResource pushConsumers)`
`protected void` `setPushConsumersLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`protected void` `setSenderLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`protected void` `setSenderWithIdLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`void` `start()`
`void` `stop()`

Methods inherited from class org.hornetq.rest.queue.DestinationResource
`getDestination, getSender, getServiceManager, setDestination, setSender, setServiceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### consumers

    protected ConsumersResource consumers

### pushConsumers

    protected PushConsumerResource pushConsumers

Constructor Detail

### QueueResource

    public QueueResource()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

### get

    public javax.ws.rs.core.Response get(@Context
                                         javax.ws.rs.core.UriInfo uriInfo)

### head

    public javax.ws.rs.core.Response head(@Context
                                          javax.ws.rs.core.UriInfo uriInfo)

### setSenderLink

    protected void setSenderLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                 javax.ws.rs.core.UriInfo info)

### createSenderLink

    protected java.lang.String createSenderLink(javax.ws.rs.core.UriInfo info)

### setSenderWithIdLink

    protected void setSenderWithIdLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                       javax.ws.rs.core.UriInfo info)

### createSenderWithIdLink

    protected java.lang.String createSenderWithIdLink(javax.ws.rs.core.UriInfo info)

### setConsumersLink

    protected void setConsumersLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                    javax.ws.rs.core.UriInfo info)

### createConsumersLink

    protected java.lang.String createConsumersLink(javax.ws.rs.core.UriInfo info)

### setPushConsumersLink

    protected void setPushConsumersLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                        javax.ws.rs.core.UriInfo info)

### createPushConsumersLink

    protected java.lang.String createPushConsumersLink(javax.ws.rs.core.UriInfo info)

### setConsumers

    public void setConsumers(ConsumersResource consumers)

### post

    public PostMessage post()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConsumers

    public ConsumersResource getConsumers()

### setPushConsumers

    public void setPushConsumers(PushConsumerResource pushConsumers)

### getPushConsumers

    public PushConsumerResource getPushConsumers()

Copyright © 2013. All Rights Reserved.